Skip to main content
PATCH
Rename design

Authorizations

X-Api-Key
string
header
required

Company Level Authentication

Include your API key in the X-Api-Key header for every request:

Headers

snappy-account-id
string
required

Required. Account identifier.

Minimum string length: 1
Example:

"acc123456"

Path Parameters

designId
string<uuid>
required

Design UUID.

Example:

"3f1c2a9e-8b7d-4c1e-9f0a-2b3c4d5e6f70"

Body

application/json

Request body to rename a design. Only name is accepted.

name
string
required

New design name. Trimmed, 1-100 characters. Must be unique within the company.

Required string length: 1 - 100
Example:

"Acme Summit 2026 - Primary"

Response

Updated design.

Updated design, in the same shape as GET /v3/swag/designs/{designId}.

data
object
required

Updated design.

Last modified on November 19, 2026